import Taro from '@tarojs/taro';
import { View, Text, Swiper, SwiperItem, Image } from '@tarojs/components';
import tipsImg from '../../assets/tipsLogo.png'

import './style.less'

export default (props) => {
  const { Notice, onChange } = props;

  return (
    <View className='Notice-box'>
      <Image src={tipsImg} />

      <Swiper
        className='NoticeSwiper'
        circular
        autoplay
        interval={2000}
        vertical//纵向滑动  上下
      >
        {
          Notice && Notice.map((item, index) => (
            <SwiperItem key={index} onClick={() => { onChange(item.text) }} >
              <View className='NoticeSwiper-Text'>{item.text}</View>
            </SwiperItem>
          ))
        }


      </Swiper>
    </View>
  )
}




