import { View, ScrollView, Image } from '@tarojs/components'
import Taro from '@tarojs/taro'
import Banner from '../../components/Banner'
import Notice from '../../components/Notice'
import HomeCard from '../../components/HomeCard'
import dogCared from '../../assets/dogCared.png'
import speed from '../../assets/speed.png'
//四个小功能
import handle from '../../assets/handle.png'//办证
import lost from '../../assets/lost.png'//挂失
import addTime from '../../assets/addTime.png'//续期
import main from '../../assets/main.png'//我的


import './style.less'

export default (props) => {

  const banner = [
    { imgUrl: 'https://tse3-mm.cn.bing.net/th/id/OIP-C.yd6uU_V7fqswON8cwWUfewHaE7?w=300&h=200&c=7&r=0&o=5&pid=1.7' },
    { imgUrl: 'https://tse4-mm.cn.bing.net/th/id/OIP-C.A31N2pd7ApUojqrR6x41bwHaFj?pid=ImgDet&rs=1' },
    { imgUrl: 'https://tse1-mm.cn.bing.net/th/id/R-C.413cf61f5c976cdaddafb30e3aeeb547?rik=AJJ41q9z0C1Anw&riu=http%3a%2f%2ffunpicimg.loveinhere.com%2f1008%2f1%2f4770.jpg&ehk=bP4qnBFW9Ha6lXMKKtVhAnkL2hTHv15pjb5oQpAhF6o%3d&risl=&pid=ImgRaw&r=0' },
    { imgUrl: 'https://img.zcool.cn/community/01c62e565d10e76ac7253403cbde61.jpg@1280w_1l_2o_100sh.jpg' }
  ]
  const NoticeList = [
    { text: '我是官方系统通知Notice' },
    { text: '我是第二条通知奥奥奥奥奥奥' },
    { text: '我是第3165656565' },
    { text: '我是第四条通知啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊' }
  ]
  const onChangeGoNotice = (e) => {
    Taro.navigateTo({
      url: '/pages/setDogInfo/index'
    })
  }

  return (
    <ScrollView scrollY style={{
      height: '100vh'
    }}
    >
      <View className='index-box'>
        {/* 一部分 */}
        <View className='haderBox'>
          <Banner banner={banner} />
          <Notice Notice={NoticeList} onChange={onChangeGoNotice} />
        </View>
        {/* 二部分 */}
        <View>
          <HomeCard text='快速入口'>
            <View className='FastEntry-Box'>
              <View className='FastEntry-Box-content'>
                <View>进度查询</View>
                <Image src={speed} />
              </View>
              <View className='FastEntry-Box-content'>
                <View>狗狗证件</View>
                <Image src={dogCared} />

              </View>
            </View>
          </HomeCard>

        </View>
        {/* 三部分 */}
        <HomeCard text='便捷服务'>
          <View className='Operation-box'>
            <View className='Operation-box-header'>
              <View className='Operation-box-header-centent'>
                <Image src={handle} style={{ width: '50px', height: '30px' }} />
                <View>办证</View>
              </View>
              <View className='Operation-box-header-centent'>
                <Image src={addTime} style={{ width: '28px', height: '24px', padding: '0 10px' }} />
                <View>续期</View>
              </View>
            </View>
            <View className='Operation-box-header'>
              <View className='Operation-box-header-centent'>
                <Image src={lost} style={{ width: '35px', height: '30px', padding: '0 10px' }} />
                <View>挂失</View>
              </View>
              <View className='Operation-box-header-centent'>
                <Image src={main} style={{ width: '27px', height: '25px', padding: '0 10px' }} />
                <View>我的</View>
              </View>
            </View>
          </View>
        </HomeCard>
      </View>
    </ScrollView>
  )
}




